Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.event
Class EJB3FlushEntityEventListener

    java.lang.Object
      org.hibernate.event.def.DefaultFlushEntityEventListener
          org.hibernate.ejb.event.EJB3FlushEntityEventListener

All Implemented Interfaces:
  java.io.Serializable, CallbackHandlerConsumer, org.hibernate.event.FlushEntityEventListener

    public class EJB3FlushEntityEventListener

extends org.hibernate.event.def.DefaultFlushEntityEventListener
implements CallbackHandlerConsumer

Overrides the LifeCycle OnSave call to call the PreUpdate operation

Author:
  Emmanuel Bernard
See Also:
  Serialized Form

Constructor Summary
`EJB3FlushEntityEventListener()`
`EJB3FlushEntityEventListener(EntityCallbackHandler callbackHandler)`

Method Summary
`protected boolean` | `invokeInterceptor(org.hibernate.engine.SessionImplementor session, java.lang.Object entity, org.hibernate.engine.EntityEntry entry, java.lang.Object[] values, org.hibernate.persister.entity.EntityPersister persister)`
`void` | `setCallbackHandler(EntityCallbackHandler callbackHandler)`

Methods inherited from class org.hibernate.event.def.DefaultFlushEntityEventListener
`checkId, dirtyCheck, handleInterception, isUpdateNecessary, onFlushEntity, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EJB3FlushEntityEventListener

    public EJB3FlushEntityEventListener()

### EJB3FlushEntityEventListener

    public EJB3FlushEntityEventListener(EntityCallbackHandler callbackHandler)

Method Detail

### setCallbackHandler

    public void setCallbackHandler(EntityCallbackHandler callbackHandler)

  Specified by:
    `setCallbackHandler` in interface `CallbackHandlerConsumer`

### invokeInterceptor

    protected boolean invokeInterceptor(org.hibernate.engine.SessionImplementor session,
                                        java.lang.Object entity,
                                        org.hibernate.engine.EntityEntry entry,
                                        java.lang.Object[] values,
                                        org.hibernate.persister.entity.EntityPersister persister)

  Overrides:
    `invokeInterceptor` in class `org.hibernate.event.def.DefaultFlushEntityEventListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD